function onTalk()
	local location = ""
	local hasgolden = getFlag("flag_golden")
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	if hasgolden == true then
		wait(0.2)
		teleport(232, 152, "GymHub")
		endCutscene()
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(232, 152, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusThreeGym_Dashless_loc_0",
		requires =
		function ()
			if location == "Dashless_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1459, -2260, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusThreeGym_Dashless_loc_1",
		requires =
		function ()
			if location == "Dashless_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1650, -2260, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusThreeGym_Dashless_loc_2",
		requires =
		function ()
			if location == "Dashless_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1990, -2250, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusThreeGym_Dashless_loc_3",
		requires =
		function ()
			if location == "Dashless_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2120, -2290, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusThreeGym_Dashless_loc_4",
		requires =
		function ()
			if location == "Dashless_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2260, -2290, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusThreeGym_Dashless_loc_5",
		requires =
		function ()
			if location == "Dashless_5" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2440, -2340, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
